Uses of Class
org.alfresco.rest.api.model.Tag
Packages that use Tag
Package
Description
-
Uses of Tag in org.alfresco.rest.api
Methods in org.alfresco.rest.api that return TagModifier and TypeMethodDescriptionMethods in org.alfresco.rest.api that return types with arguments of type TagModifier and TypeMethodDescriptionTags.createTags(List<Tag> tags, Parameters parameters) Tags.createTags(StoreRef storeRef, List<Tag> tags, Parameters parameters) Tags.getTags(String nodeId, Parameters params) Tags.getTags(StoreRef storeRef, Parameters params) Methods in org.alfresco.rest.api with parameters of type TagMethod parameters in org.alfresco.rest.api with type arguments of type TagModifier and TypeMethodDescriptionTags.createTags(List<Tag> tags, Parameters parameters) Tags.createTags(StoreRef storeRef, List<Tag> tags, Parameters parameters) -
Uses of Tag in org.alfresco.rest.api.impl
Methods in org.alfresco.rest.api.impl that return TagModifier and TypeMethodDescriptionMethods in org.alfresco.rest.api.impl that return types with arguments of type TagModifier and TypeMethodDescriptionTagsImpl.createTags(StoreRef storeRef, List<Tag> tags, Parameters parameters) TagsImpl.getTags(String nodeId, Parameters params) TagsImpl.getTags(StoreRef storeRef, Parameters params) Methods in org.alfresco.rest.api.impl with parameters of type TagModifier and TypeMethodDescriptionMethod parameters in org.alfresco.rest.api.impl with type arguments of type Tag -
Uses of Tag in org.alfresco.rest.api.model
Methods in org.alfresco.rest.api.model that return TagMethods in org.alfresco.rest.api.model with parameters of type Tag -
Uses of Tag in org.alfresco.rest.api.nodes
Methods in org.alfresco.rest.api.nodes that return types with arguments of type TagModifier and TypeMethodDescriptionNodeTagsRelation.create(String nodeId, List<Tag> tagsToCreate, Parameters parameters) Add the tag to the node with id 'nodeId'.NodeTagsRelation.readAll(String nodeId, Parameters params) Method parameters in org.alfresco.rest.api.nodes with type arguments of type Tag -
Uses of Tag in org.alfresco.rest.api.tags
Methods in org.alfresco.rest.api.tags that return TagModifier and TypeMethodDescriptionTagsEntityResource.readById(String id, Parameters parameters) TagsEntityResource.update(String id, Tag entity, Parameters parameters) Methods in org.alfresco.rest.api.tags that return types with arguments of type TagModifier and TypeMethodDescriptionTagsEntityResource.create(List<Tag> tags, Parameters parameters) POST /tagsTagsEntityResource.readAll(Parameters parameters) Returns a paged list of all currently used tags in the store workspace://SpacesStore for the current tenant.Methods in org.alfresco.rest.api.tags with parameters of type TagModifier and TypeMethodDescriptionTagsEntityResource.update(String id, Tag entity, Parameters parameters) Method parameters in org.alfresco.rest.api.tags with type arguments of type Tag